namespace Todo.Core.Application.Queries.Todos;

public record TodoViewModel(
    string Id,
    string Title,
    bool Status,
    string AuthorId,
    string? Project,
    string? Description,
    long Created,
    string? Priority
)
{
    internal static TodoViewModel From(Entities.Todo t) => new(
        t.Id,
        t.Title,
        t.Status,
        t.AuthorId,
        t.Project,
        t.Description,
        t.Created,
        t.Priority);
}